package com.ruoyi.szxc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 场所管理对象 szxc_place_manage
 *
 * @author hs
 * @date 2024-03-29
 */
public class SzxcPlaceManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 场所名称 */
    @Excel(name = "场所名称")
    private String csName;

    /** 行业类别(字典) */
    @Excel(name = "行业类别(字典)")
    private String hyType;

    /** 类型(字典) */
    @Excel(name = "类型(字典)")
    private String csType;

    /** 场所地址 */
    @Excel(name = "场所地址")
    private String csAddress;

    /** 员工数量 */
    @Excel(name = "员工数量")
    private Long employeeNum;

    /** 商住一体(0是1否) */
    @Excel(name = "商住一体(0是1否)")
    private String szyt;

    /** 房屋类型(字典) */
    @Excel(name = "房屋类型(字典)")
    private String fwType;

    /** 法人姓名 */
    @Excel(name = "法人姓名")
    private String frName;

    /** 成立日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "成立日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date clDate;

    /** 营业期限 */
    @Excel(name = "营业期限")
    private String yyqx;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String tyshxyCode;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String yyzzPicture;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCsName(String csName)
    {
        this.csName = csName;
    }

    public String getCsName()
    {
        return csName;
    }
    public void setHyType(String hyType)
    {
        this.hyType = hyType;
    }

    public String getHyType()
    {
        return hyType;
    }
    public void setCsType(String csType)
    {
        this.csType = csType;
    }

    public String getCsType()
    {
        return csType;
    }
    public void setCsAddress(String csAddress)
    {
        this.csAddress = csAddress;
    }

    public String getCsAddress()
    {
        return csAddress;
    }
    public void setEmployeeNum(Long employeeNum)
    {
        this.employeeNum = employeeNum;
    }

    public Long getEmployeeNum()
    {
        return employeeNum;
    }
    public void setSzyt(String szyt)
    {
        this.szyt = szyt;
    }

    public String getSzyt()
    {
        return szyt;
    }
    public void setFwType(String fwType)
    {
        this.fwType = fwType;
    }

    public String getFwType()
    {
        return fwType;
    }
    public void setFrName(String frName)
    {
        this.frName = frName;
    }

    public String getFrName()
    {
        return frName;
    }
    public void setClDate(Date clDate)
    {
        this.clDate = clDate;
    }

    public Date getClDate()
    {
        return clDate;
    }
    public void setYyqx(String yyqx)
    {
        this.yyqx = yyqx;
    }

    public String getYyqx()
    {
        return yyqx;
    }
    public void setTyshxyCode(String tyshxyCode)
    {
        this.tyshxyCode = tyshxyCode;
    }

    public String getTyshxyCode()
    {
        return tyshxyCode;
    }
    public void setYyzzPicture(String yyzzPicture)
    {
        this.yyzzPicture = yyzzPicture;
    }

    public String getYyzzPicture()
    {
        return yyzzPicture;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("csName", getCsName())
                .append("hyType", getHyType())
                .append("csType", getCsType())
                .append("csAddress", getCsAddress())
                .append("employeeNum", getEmployeeNum())
                .append("szyt", getSzyt())
                .append("fwType", getFwType())
                .append("frName", getFrName())
                .append("clDate", getClDate())
                .append("yyqx", getYyqx())
                .append("tyshxyCode", getTyshxyCode())
                .append("yyzzPicture", getYyzzPicture())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .toString();
    }
}
